- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl_audio_format_t Struct Reference
[Audio format definitions]

Audio Format. More...

`#include <gavl.h>`

## Data Fields
int | samples_per_frame
int | samplerate
int | num_channels
gavl_sample_format_t | sample_format
gavl_interleave_mode_t | interleave_mode
float | center_level
float | rear_level
gavl_channel_id_t | channel_locations [GAVL_MAX_CHANNELS]

## Detailed Description

Audio Format.

Structure describing an audio format. The samples_per_frame member is used exclusively by gavl_audio_frame_create to determine how many bytes to allocate.

## Field Documentation

int gavl_audio_format_t::samples_per_frame

Maximum number of samples per frame

int gavl_audio_format_t::samplerate

Samplerate

int gavl_audio_format_t::num_channels

Number of channels

gavl_sample_format_t gavl_audio_format_t::sample_format

Sample format

gavl_interleave_mode_t gavl_audio_format_t::interleave_mode

Interleave mode

float gavl_audio_format_t::center_level

linear factor for mixing center to front

float gavl_audio_format_t::rear_level

linear factor for mixing rear to front

gavl_channel_id_t gavl_audio_format_t::channel_locations[GAVL_MAX_CHANNELS]

Which channel is stored where

The documentation for this struct was generated from the following file:

- /sda4/XXX/YYY/F/gavl-1.0.0/include/gavl/gavl.h